MAN(1)

NOME
man - um ambiente para os manuais de referência online

SINOPSE
man [-C ficheiro] [-d] [-D] [--warnings[=avisos]] [-R codificação] [-L idioma] [-m sistema[,...]] [-M caminho] [-S lista] [-e extensão] [-i|-I] [--regex|--wildcard] [--names-only] [-a] [-u] [--no-subpages] [-P paginador] [-r prompt] [-7] [-E codificação] [--no-hyphenation] [--no-justification] [-p cadeia] [-t] [-T[dispositivo]] [-H[navegador]] [-X[dpi]] [-Z] [[secção] página[.secção] ...] ...
man -k [apropos opções] regexp ...
man -K [-w|-W] [-S lista] [-i|-I] [--regex] [secção] termo ...
man -f [whatis opçõess] página ...
man -l [-C ficheiro] [-d] [-D] [--warnings[=avisos]] [-R codificação] [-L idioma] [-P paginador] [-r prompt] [-7] [-E codificação] [-p cadeia] [-t] [-T[dispositivo]] [-H[navegador]] [-X[dpi]] [-Z] ficheiro ...
man -w|-W [-C ficheiro] [-d] [-D] página ...
man -c [-C ficheiro] [-d] [-D] página ...
man [-?V]

DESCRIÇÃO
man é o paginador do manual do sistema. Cada argumento página dado a man é normalmente o nome de um programa, utilitário ou função. A página do manual associada a cada um detes argumentos é procurada e mostrada. A secção, se indicada, informa man para procurar só nessa secção do manual. A acção predefinida é procurar em todas as secções disponíveis seguindo uma ordem pré-estabelecida ("1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", a não ser que sobreposta pela directiva SECTION em /etc/man_db.conf) e mostrar só a primeira página encontrada, mesmo se página existir em várias secções. A tabela abaixo mostra os números de secção do manual, seguidos dos tipos de página que contêm.
1 | Programas executáveis ou comandos da shell
2 | Chamadas de sistema (funções fornecidas pelo kernel)
3 | Funções de biblioteca (funções dentro de bibliotecas de programas)
4 | Ficheiros especiais (habitualmente encontrados em /dev)
5 | Formatos de ficheiro e convenções e.g. /etc/passwd
6 | Jogos
7 | Diversos (incluindo pacotes macro e convenções), e.g. man(7), groff(7)
8 | Comandos de administração do sistema (habitualmente só para root)
9 | Rotinas do kernel [Não padrão]
Uma página do manual consiste em várias secções. Nomes de secção conventionais incluem NOME, SINOPSE, CONFIGURAÇÃO, DESCRIÇÃO, OPÇÕES, ESTADO DE SAÍDA, VALOR DEVOLVIDO, ERROS, AMBIENTE, FICHEIROS, VERSÕES, CONFORME A, NOTAS, BUGS, EXEMPLO, AUTORES, e VEJA TAMBÉM. As seguintes convenções aplicam-se à secção SINOPSE, podendo ser usadas como guia noutras secções.
texto em negrito | digite tal como vê.
texto em itálico | substituir com o argumento apropriado.
[-abc] | todo e qualquer argumento entre [ ] é opcional.
-a|-b | opções delimitadas por | não podem ser usadas em conjunto.
argumento ... | O argumento pode ser repetido.
[expressão] ... | Toda a expressão dentro de [ ] pode ser repetida.
O desenho exacto pode variar, dependendo do dispositivo de saída. Por exemplo, habitualmente, o manual não desenha itálicos quando executado num terminal, tipicamente usará texto sublinhado ou colorido. A ilustração do comando ou função é um padrão que deverá corresponder a todas as possíveis chamadas. Nalguns casos, é aconselhável ilustrar várias chamadas exclusivas, tal como mostrado na secção SINOPSE desta página do manual.

EXEMPLOS

man ls
    Mostra a página do manual para o item (programa) ls.

man man.7
    Mostra a página do manual para o pacote de macro man da secção 7.

man -a intro
    Mostra, em sucessão, todas as páginas do manual intro disponíveis. É possível sair entre exibições sucessivas ou saltar qualquer uma delas.

man -t alias | lpr -Pps
    Formata a página do manual referenciada por "alias", normalmente uma página do manual da shell, para o formato predefinido troff ou groff e encaminha para a impressoara ps. A saída predefinida para groff é habitualmente PostScript. man --help deve indicar a qual processador está ligada a opção -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Este comando descomprime e formata a página fonte do manual do nroff ./foo.1x.gz para um ficheiro independente do dispositivo (dvi). O redireccionamento é necessário dado que a bandeira -T causa o redireccionamento da saída para stdout sem paginador. A saída poderia ser vista com um programa do tipo xdvi ou mais processada para PostScript usando um programa como dvips.

man -k printf
    Procura nas descriçoes curtas e nomes de páginas do manual pela palavra-chave printf como expressão regular. Imprime quaisquer correspondências. Equivalente a apropos printf.

man -f smail
    Procura nas páginas do manual referenciadas por smail e imprime as descrições curtas encontradas. Equivalente a whatis smail.

RESUMO
Muitas opções estão disponíveis para man para fornecer tanta flexibilidade quanta possível ao utilizador. Pode alterar o caminho de procura, a ordem das secções, o processador de saída e outros comportamentos e operações, detalhadas abaixo. Se definido, várias variáveis de ambiente são interrogadas para determinar a operação de man. É possível definir a variável "catch all" $MANOPT para qualquer cadeia no formato de linha de comando, com a excepção de que quaisquer espaços usados como parte do argumento de uma opção devem ser escapados (precedidos por barra invertida). man analisará $MANOPT antes de analisar a sua própria linha de comando. As opções que requerem um argumento serão substituídas pelas mesmas opções encontradas na linha de comando. Para repor todas as opções definidas em $MANOPT, pode especificar -D como opção de linha de comando inicial. Isto permitirá que man "esqueça" as opções especificadas em $MANOPT, embora elas pudessem ainda ser válidas. Os utilitários do paginador do manual empacotados como man-db fazem uso extensivo de caches de índice de base de dados. Essas caches contêm informação, como por exemplo, onde cada página de manual pode ser encontrada no sistema de ficheiros e o que contém a sua whatis (descrição curta da página do manual), permitindo que man seja mais rápido do que se tivesse de procurar sempre a página de manual apropriada. Se solicitada a opção -u, man garantirá que as caches permaneçam consistentes, o que pode evitar a necessidade de executar manualmente a actualização das bases de dados de texto whatis tradicionais. Se man não puder encontrar um índice de base de dados mandb iniciado para uma dada hierarquia de páginas do manual, ainda procurará as páginas do manual pedidas, embora necessitando de globbingde ficheiros para procurar nessa hierarquia. Se whatis ou apropos falharem ao obter um índice, tentará antes extrair informação de uma base de dados whatis tradicional. Esses utilitários suportam ficheiros fonte nroff comprimidos, tendo por predefinição as extensões .Z, .z e .gz. É possível lidar com qualquer extensão de compressão, mas essa informação deve ser conhecida à data de compilação. Além disso, por predefinição, todas as páginas cat produzidas são comprimidas usando gzip. Cada hierarquia de páginas do manual "global", tais como /usr/share/man ou /usr/X11R6/man podem ter qualquer pasta como hierarquia de páginas cat. Tradicionalmente, as páginas cat são armazenadas na mesma hierarquia das páginas man, mas por razões como as especificadas em File Hierarchy Standard (FHS), pode ser melhor armazená-las noutro local. Veja manpath(5). Para detalhes sobre o porquê, leia a norma. Está disponível suporte internacional para este pacote. Pode aceder às páginas de manual de idiomas nativos (se disponíveis no seu sistema) através do uso de funções de idioma. Para activar esse suporte, é necessário definir $LC_MESSAGES, $LANG ou outra variável de ambiente dependente do sistema para o seu idioma, normalmente especificado no formato POSIX 1003.1: <idioma>[_<território>[.<conjunto de caracteres>[,<versão>]]] Se a página desejada estiver disponível no seu idioma será mostrada, em vez da página padrão (normalmente Inglês dos EUA) O suporte a catálogos de mensagens internacionais também faz parte deste pacote e pode ser activado da mesma maneira, se disponível. Se verificar que as páginas do manual e os catálogos de mensagens fornecidos com este pacote não estão disponíveis no seu idioma e gostaria de os disponibilizar, por favor, contacte o gestor que coordena essa actividade. Para informação sobre outras funcionalidades e extensões disponíveis com este paginador do manual, por favor, leia os documentos fornecidos com o pacote.

PREDEFINIÇÕES
man procurará as páginas de manual desejadas nos índices das caches das bases de dados. Se a opção -u for dada, é realizada uma verificação de consistência de cache, para garantir que as bases de dados reflectem com precisão o sistema de ficheiros. Se esta opção for sempre dada, em geral não será necessário executar mandb após a criação inicial das caches, a menos que as caches sejam corrompidas. No entanto, a verificação de consistência da cache pode ser lenta em sistemas com muitas páginas do manual instaladas, portanto, não é executada por predefinição. Os administradores de sistema podem desejar executar mandb semanalmente para manter as caches actualizadas. Para evitar problemas causados por caches desactualizadas, man voltará ao globbing de ficheiros se uma consulta de cache falhar, assim como ocorreria se nenhuma cache estivesse presente. Uma vez que uma página do manual tenha sido localizada, é realizada uma verificação para saber se um ficheiro "cat" pré-formatado relativo já existe e é mais novo que o ficheiro nroff. Em caso afirmativo, este ficheiro pré-formatado é (geralmente) descomprimido e mostrado num paginador. O paginador pode ser especificado de várias maneiras, ou então usar o predefinido (veja a opção -P para detalhes). Se nenhum cat for encontrado ou for mais antigo que o ficheiro nroff, o nroff será filtrado por vários programas e será imediatamente mostrado. Se for possível produzir um ficheiro cat (se existir uma pasta cat e tiver as permissões adequadas), man vai comprimir e armazenar o ficheiro em segundo plano. Os filtros são decifrados por vários meios. Primeiro, a opção da linha de comandos -p ou a variável de ambiente $MANROFFSEQ são interrogadas. Se -p não foi usada e a variável não foi definida, é procurada a linha inicial do ficheiro nroff por uma cadeia de pré-processador. Para conter uma cadeia de pré-processador válida, a linha deve parecer-se com: '\" <cadeia> onde cadeia pode ser qualquer combinação de letras descritas na opção -p abaixo. Se nenhum dos métodos acima fornecer informação de filtragem, será usado um conjunto predefinido. Um túnel de formatação é formado a partir dos filtros e do paginador primário (noff ou [tg]roff com -t) e executado. Alternativamente, se um programa executável mandb_nfmt (ou mandb_tfmt com -t) existir na raiz da árvore do manual, será executado. Recebe o ficheiro fonte do manual, a cadeia de pré-processamento e, opcionalmente, o dispositivo especificado com -T ou -E como argumentos.

OPÇÕES
Opções não-argumento que sejam duplicadas na linha de comandos, em $MANOPT, ou em ambas, não são prejudiciais. Para opções que requerem um argumento, cada duplicação sobrepõe-se ao valor do argumento anterior.

  Opções gerais

-C ficheiro, --config-file=ficheiro
    usa este ficheiro do utilizador em vez do predefinido de ~/.manpath.

-d, --debug
    imprime informação de depuração.

-D, --default
    Esta opção é normalmente emitida como a primeira opção e repõe o comportamento de man na predefinição. A sua finalidade é repor as opções que possam ter sido definidas em $MANOPT. Quaisquer opções a seguir a -D terão o seu efeito habitual.

--warnings[=avisos]
    Activa os avisos de groff. Pode ser usado para realizar testes de sanidade no texto fonte das páginas do manual. warnings é uma lista de nomes de aviso, separados por vírgulas; se não for indicada, a predefinição é "mac". Veja “Avisos” em info groff para uma lista de nomes de avisos disponíveis.

  Modos principais de operação

-f, --whatis
    Equivalente a whatis. Mostra uma breve descrição da página do manual, se disponível. Veja whatis(1) para detalhes.

-k, --apropos
    Equivalente a apropos. Procura nas descrições curtas das páginas do manual por palavras-chave e mostra as correspondências. Veja apropos(1) para detalhes.

-K, --global-apropos
    Procura texto em todas as páginas do manual. Esta é uma procura brutal e provavelmente levará algum tempo; Se puder, especifique uma secção para reduzir o número de páginas a procurar. Os termos de procura podem ser cadeias simples (predefinição) ou expressões regulares, se a opção --regex for usada.

    Note que isto procura as fontes das páginas do manual, não o texto produzido, pelo que pode incluir falsos positivos devido a comentários nas fontes. Procurar no texto formatado, seria muito mais lento.

-l, --local-file
    Activa o modo "local". Formata e mostra ficheiros locais do manual, em vez de procurar na colecção de manuais do sistema. Cada argumento de página do manual será interpretado como um ficheiro fonte nroff no formato correcto. Nenhum ficheiro cat é produzido. Se '-' for um dos argumentos, a entrada será lida de stdin. Quando esta opção não é usada e o manual não consegue localizar a página necessária, antes de mostrar a mensagem de erro, tenta agir como se a opção fosse fornecida, usando o nome como nome de ficheiro e procurando uma correspondência exacta.

-w, --where, --path, --location
    Não mostra realmente as páginas do manual, mas imprime as localizações dos ficheiros fonte nroff que seriam formatados.

-W, --where-cat, --location-cat
    Não mostra realmente as páginas do manual, mas imprime as localizações dos ficheiros fonte cat que seriam formatados. Se -w e -W forem ambas especificadas, imprimir ambas, separadas por um espaço.

-c, --catman
    Esta opção não é para uso geral e só deve ser usada pelo programa catman.

-R codificação, --recode=codificação
    Em vez de formatar a página do manual da maneira usual, envia a sua fonte convertida para a codificação especificada. Se já conhece a codificação do ficheiro fonte, também pode usar manconv(1) directamente. No entanto, essa opção permite converter várias páginas do manual numa única codificação sem ter de declarar explicitamente a codificação de cada uma, desde que já tenham sido instaladas numa estrutura semelhante a uma hierarquia de página do manual.

  Encontrar páginas do manual

-L idioma, --locale=idioma
    O man normalmente determinará sua localidade actual por uma chamada à função C setlocale(3), que interroga várias variáveis de ambiente, possivelmente incluindo $LC_MESSAGES e $LANG. Para sobrepor temporariamente o valor determinado, use esta opção para fornecer uma cadeia idioma directamente a man. Note que isto não terá efeito até que a procura por páginas realmente comece. Saídas como a mensagem de ajuda serão sempre mostradas no idioma inicialmente determinado.

-m sistema[,...], --systems=sistema[,...]
    Se este sistema tem acesso a páginas do manual de outro sistema operativo, pode aceder-lhes usando esta opção. Para procurar uma página do manual da colecção do NovoOS, use a opção -m NovoOS. O sistema especificado pode ser uma combinação de nomes de sistemas operativos, separados por vírgulas. Para incluir uma procura de páginas do manual do sistema operativo nativo, inclua o nome do sistema man na cadeia de argumentos. Esta opção sobrepõe-se à variável de ambiente $SYSTEM.

-M caminho, --manpath=caminho
    Especifica um caminho de manual alternativo. Por predefinição, man usa código derivado de manpath para determinar o caminho a procurar. Esta,opção sobrepõe-se à variável de ambiente $MANPATH e faz com que a opção -m seja ignorada. Um caminho especificado como sendo caminho do manual,tem de ser a raiz de uma hierarquia de páginas do manual estruturada em secções, tal como descrito no manual do man-db (sob "O sistema de páginas do manual"). Para ver páginas do manual fora desta hierarquia, veja a opção -l.

-S lista, -s lista, --sections=lista
    A lista é uma lista de secções do manual "de ordem específica" separada por dois-pontos - ou vírgulas - a procurar. Esta opção sobrepõe-se à variável de ambiente $MANSECT. A ortografia -s é para compatibilidade com System V.

-e sub-extensão, --extension=sub-extensão
    Alguns sistemas incorporam grandes pacotes de páginas do manual, tais como as que acompanham o pacote Tcl, na hierarquia principal das páginas do manual. Para contornar o problema de ter dua página de manual com o memso nome,, tais como exit(3), as páginas Tcl foram todas habitualmente atribuídas à secção l. Como isto era infeliz, é agora possível pôr as páginas na secção correcta e atribuir-lhes uma "extensão" específica, neste caso, exit(3tcl). Sob operação normal, man mostrará exit(3) preferencialmente a exit(3tcl). Para negociar esta situação e evitar ter de saber qual a secção em que está o que necessita, é agora possível dar a man uma cadeia de sub-extensão indicando a que pacote a página tem de pertencer. Usando o exemplo acima, indicando a opção -e tcl a man restringe a procura a páginas com uma extensão *tcl.

-i, --ignore-case
    Ignora maiúsculas ao procurar páginas do manual. É a predefinição.

-I, --match-case
    Procura páginas do manual diferenciando maiúsculas.

--regex
    Mostra todas as páginas com qualquer parte ou dos seus nomes ou das suas descrições correspondentes a cada argumento de página como expressão regular, como com apropos(1). Como não há habitualmente forma de escolher a "melhor" página ao procurar uma expressão regular, esta opção implica -a.

--wildcard
    Mostra todas as páginas com qualquer parte ou dos seus nomes ou das suas descrições correspondentes a cada argumento page usando caracteres universais, como com apropos(1) -wildcard. O argumento page tem de corresponder ao nome ou descrição completos ou corresponder aos limites de palavras na descrição. Como não há habitualmente forma de escolher a "melhor" página ao procurar um carácter universal, esta opção implica -a.

--names-only
    Se a opção --regex ou --wildcard forem usadas, compara só nomes de página, não descrições, como com whatis(1). Senão, não tem efeito.

-a, --all
    Por predefinição, man sai após mostrar a página de manual mais adequada que encontrar. Usar esta opção força man a mostrar todas as páginas do manual com nomes que cumpram o critério de procura.

-u, --update
    Esta opção faz com que man realize uma verificação de consistência de "nível inode" nas suas caches da base de dados para garantir que são uma representação precisa do sistema de ficheiros. Só terá um efeito útil se man estiver instalado com o bit setuid definido.

--no-subpages
    Por predefinição, man tentará interpretar pares de nomes de páginas do manual dados na linha de comandos como equivalentes a um único nome de página do manual contendo um hífen ou um sublinhado. Isto suporta o padrão comum de programas que implementam vários sub-comandos, permitindo que eles forneçam páginas de manual para cada um que possa ser acedido usando uma sintaxe semelhante à que seria usada para chamar os próprios sub-comandos. Por exemplo:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    Para desactivar este comportamento, use a opção --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Controlar saída formatada

-P paginador, --pager=paginador
    Especifica o paginador de saída a usar. Por predefinição, man usa less, caindo em cat se o less não for encontrado ou não for executável. Esta opção sobrepõe-se à variável de ambiente $MANPAGER, que, por sua vez, se sobrepõe à variável de ambiente $PAGER. Não é usada em conjunto com -f ou -k. O valor pode ser um simples nome de comando ou um comando com argumentos e pode usar citações de shell (barras invertidas, aspas simples ou aspas duplas). Não pode usar túneis para ligar vários comandos; se for tal preciso, use um script, o que pode levar o ficheiro a ser visto como argumento ou na saída padrão.

-r prompt, --prompt=prompt
    Se for usada uma versão recente do less como paginador, o man tentará definir o seu prompt e algumas opções sensíveis. O prompt predefinido parece-se com Página do manual nome(sec) linha x onde nome denota o nome da página do manual, sec denota a secção onde foi encontrada e x o número de linha actual. Isto consegue-se usando a variável de ambiente $LESS. Fornecer -r com uma cadeia sobrepõe a predefinição. A cadeia pode conter o texto $MAN_PN, que será expandido para o nome da página de manual actual e seu nome de secção, entre `(' e `)'. A cadeia usada para produzir a predefinição pode ser expressa como \ Página\ do\ manual\ \$MAN_PN\ ?ltlinha\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (END):?pB\ %pB\\%..
    (prima h para ajuda ou q para sair) Está dividida em três linhas para melhorar a legibilidade. Para ver o seu significado, veja a página do less(1). A cadeia do prompt é primeiro avaliada pela shell. Todas as aspas e barras invertidas no prompt têm de ser escapadas com uma barra invertida precedente. A cadeia pode terminar num $ escapadoque pode ser seguido de mais opções do less. Por predefinição, man define as opções -ix8 A variável de ambiente $MANLESS descrita abaixo pode ser usada para definir uma cadeia de prompt predefinida, se nenhuma for indicada na linha de comandos.

-7, --ascii
    Ao ver uma página do manual pura ascii(7) num terminal de 7 bitou num emulador de terminal, alguns caracteres podem não se ver corectamente ao usar a descrição de dispositivo latin1(7) com GNU nroff. Esta opção permite que páginas do manual puras ascii sejam mostradas em ascii com o dispositivo latin1. Não traduzirá nenhum texto latin1. A tabela seguinte mostra as traduções realizadas: algumas partes só poderão ser vistas adequadamente ao usar o dispositivo latin1(7) do GNU nroff.
    Descrição | Octal | latin1 | ascii
    hífen de continuação | 255 |  | -
    lista (ponto central) | 267 | • | o
    acento agudo | 264 | ´ | '
    sinal de multiplicação | 327 | × | x
    Se a coluna latin1 é mostrada correctamente, o seu terminal pode estar definido para caracteres latin1 e esta opção não é necessária. se as colunas latin1 e ascii são idênticas, está a ler esta página com esta opção ou o man não formatou esta página usando a descrição do dispositivo latin1 Se a coluna latin1 está em flata ou corrompida, poderá ter de ver as páginas do manual com esta opção. Esta opção é ignorada ao usar as opções -t, -H, -T, ou -Z e pode ser inútil para um nroff diferente do GNU nroffs.

-E codificação, --encoding=codificação
    Gera saída para uma codificação de caracteres diferente da predefinida. Para compatibilidade, a codificação pode ser um dispositivo nroff tal como ascii, latin1, ou utf8, assim como uma verdadeira codificação de caracteres, como UTF-8.

--no-hyphenation, --nh
    Normalmente, o nroff hifeniza o texto nas quebras de linha, mesmo com palavras que não contêm hífenes, se for necessário para dispor palavras numa linha sem espaço excessivo. Esta opção desactiva a hifenização automática, pelo que as palavras só serão divididas se já contiverem hífenes. Se está a escrever uma página do manual e simplesmente quer impedir o nroff de hifenizar erradamente uma palavra, não use esta opção, consulte antes a documentação do nroff; e.g., pode pôr "\%" dentro de uma palavra para indicar que ela pode ser hifenizada nesse ponto, ou pôr "\%" no início da palavra para impedir que seja hifenizada.

--no-justification, --nj
    Normalmente, o nroff alinha o texto a ambas as margens. Esta opção desactiva este alinhamento, alinhando o texto só à esquerda. Se está a escrever uma página do manual e simplesmente quer impedir o nroff de alinhar assim determinados parágrafos, não use esta opção, consulte antes a documentação do nroff; e.g., pode usar os pedidos ".na", ".nf", ".fi" e ".ad" para desactivar temporariamente o ajuste e preenchimento.

-p cadeia, --preprocessor=cadeia
    Especifica a sequência de pré-processadores a executar antes de nroff ou troff/groff. Nem todas as instalações terão um conjunto completo de pré-processadores. Alguns deles e as letras usadas para os designar são: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Esta opção sobrepõe-se à variável de ambiente $MANROFFSEQ. zsoelim é sempre executado como primeiro pré-processador.

-t, --troff
    Usa groff -mandoc para formatar a página do manual para a saída padrão. Esta opção não é requerida em conjunto com -H, -T, ou -Z.

-T[dispositivo], --troff-device[=dispositivo]
    Esta opção é usada para alterar a saída de groff (ou possivelmente troff) para a adequar a outro dispositivo que não o predefinido. Implica -t. Exemplos (dados com Groff-1.17) incluem dvi, latin1, ps, utf8, X75 e X100.

-H[navegador], --html[=navegador]
    Esta opção faz com que o groff produza saída HTML e mostra essa saída num navegador web. A escolha do navegador é determinada pelo argumento opcional navegador, se for fornecido pela variável de ambiente $BROWSER ou por valor predefinido compilado em tempo de execução, se aquela não estiver definida (normalmente o lynx). Esta opção implica -t e só funciona com o GNU troff.

-X[dpi], --gxditview[=dpi]
    Esta opção mostra a saída do groff numa janela gráfica usando o programa gxditview. Os dpi (dots per inch) podem ser 75, 75-12, 100, ou 100-12, predefinidos para 75; as variantes -12 usam uma letra de 12-pontos. Esta opção implica -T com os dispositivos X75, X75-12, X100, ou X100-12, respectivamente.

-Z, --ditroff
    O groff executará o troff e usará o pós-processador apropriado para produzir uma saída adequada ao dispositivo escolhido. Se o groff -mandoc for o groff, esta opção é passada ao groff e vai suprimir o uso de um pós-processador. Implica -t.

  Obter ajuda

-?, --help
    mostra uma mensagem de ajuda e sai.

--usage
    mostra uma mensagem curta de uso e sai.

-V, --version
    mostra informação da versão.

ESTADO DE SAÍDA

0   Execução de programa com sucesso.

1   Erro de uso, sintaxe ou ficheiro de configuração.

2   Erro de operação.

3   Um processo filho devolveu um estado de saída não-zero.

16  Pelo menos uma de páginas/ficheiros/palavras-chave não existe ou não teve correspondências.

AMBIENTE

MANPATH
    Se $MANPATH estiver definida, o seu valor é usado como caminho de procura de páginas do manual.

MANROFFOPT
    O conteúdo de $MANROFFOPT é adicionado à linha de comandos sempre que o man chama o paginador (nroff, troff, ou groff).

MANROFFSEQ
    Se $MANROFFSEQ estiver definida, o seu valor é usado para determinar o conjunto de pré-processadores por onde passar cada página do manual. A lista de pré-processadores depende do sistema.

MANSECT
    Se $MANSECT estiver definida, o seu valor é uma lista de secções separada por dois-pontos e é usada para determinar que secções do manual procurar e em que ordem. A predefinição é "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", a não ser que sobreposta pela directiva SECTION em /etc/man_db.conf.

MANPAGER, PAGER
    Se $MANPAGER ou $PAGER estiverem definidas ($MANPAGER é preferida), o seu valor é usado como nome do programa usado para mostrar a página do manual. Por predefinição, é usada less, voltando a cat se o less não for encontrado ou não for executável. O valor pode ser um simples nome de comando ou um comando com argumentos e pode usar citações de shell (barras invertidas, aspas simples ou aspas duplas). Não pode usar túneis para ligar vários comandos; se for tal preciso, use um script, o que pode levar o ficheiro a ser visto como argumento ou na saída padrão.

MANLESS
    Se $MANLESS estiver definida, o seu valor será usado como cadeia de prompt predefinida do paginador less, como se fosse passada como opção -r (quaisquer ocorrências de $MAN_PN serão expandidas da mesma forma). Por exemplo, se quiser definir a cadeia de prompt incondicionalmente para “minha cadeia de prompt”, defina $MANLESS para ‘-Psminha cadeia de prompt’. Usar a opção -r sobrepõe-se a esta variável de ambiente.

BROWSER
    Se $BROWSER estiver definida, o seu valor é uma lista de comandos separados por dois-pontos, cada um dos quais é usado à vez para tentar iniciar um navegador web para o man --html. Em cada comando, %s é substituído por um nome de ficheiro contendo a saída HTML do groff, %% é substituído por um único sinal de percentagem (%) e %c é substituído por dois-pontos (:).

SYSTEM
    Se $SYSTEM estiver definido, terá o mesmo efeito como se fosse especificado como argumento da opção -m.

MANOPT
    Se $MANOPT estiver definida, será analisada antes da linha de comandos do man e é esperado que tenha um formato similar. Como todas as outras variáveis de ambiente específicas do man podem ser expressadas como opções de linha de comandos, sendo assim candidatas a serem incluídas em $MANOPT, espera-se que se tornem obsoletas. Nota: todos os espaços que devam ser interpretados como parte do argumento da linha de comandos, têm de ser escapados.

MANWIDTH
    Se $MANWIDTH estiver definida, o seu valor é usado como tamanho da linha para o qual as páginas do manual devem ser formatadas. Senão, serão formatadas com um tamanho apropriado ao terminal actual (usando o valor de $COLUMNS, um ioctl(2) se disponível, ou voltando a 80 caracteres se nenhuma estiver disponível). As páginas cat só serão gravadas quando se puder usar o formato predefinido, ou seja, quando o tamanho da linha do terminal esteja entree 66 e 80 caracteres.

MAN_KEEP_FORMATTING
    Normalmente, quando a saída não é direccionada para um terminal (vai para um ficheiro ou um túnel), os caracteres de formatação são descartados para simplificar a leitura do resultado sem ferramentas especiais. Contudo, se $MAN_KEEP_FORMATTING estiver definida para qualquer coisa diferente de um valor vazio, estes caracteres são mantidos. Pode ser útil para programas acima do man que possam interpretar caracteres de formatação.

MAN_KEEP_STDERR
    Normalmente, quando a saída é direccionada para um terminal (habitualmente um paginador), qualquer erro de saída do comando usado para produzir versões formatadas de páginas do manual, é descartado para evitar interferências com o paginador. Programas como o groff produzem frequentemente mensagens de erro relativamente insignificantes sobre problemas tipográficos, tais como mau alinhamento, que são invisíveis e geralmente causam confusão ao serem mostradas junto à página do manual. Contudo, alguns utilizadores querem vê-las mesmo assim, pelo que se $MAN_KEEP_STDERR tiver um valor não-vazio, o erro de saída será sempre mostrado.

LANG, LC_MESSAGES
    Dependendo do sistema e da implementação, ou uma ou ambas $LANG e $LC_MESSAGES serão interrogadas sobre o idioma da mensagem actual. O man mostrará as suas mensagens nesse idioma (se disponível). Veja setlocale(3) para detalhes precisos.

FICHEIROS

/etc/man_db.conf
    ficheiro de configuração do man-db.

/usr/share/man
    Uma hierarquia global de páginas do manual.

/usr/share/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global de acordo com FHS.

VEJA TAMBÉM
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), setlocale(3), manpath(5), ascii(7), latin1(7), man(7), catman(8), mandb(8), o manual do pacote man-db, FSSTND

HISTÓRICO
1990, 1991 – Originalmente escrito por John W. Eaton (jwe@che.utexas.edu). Dec 23 1992: Rik Faith (faith@cs.unc.edu) aplicou reparações de erros fornecidas por Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30 de Abril de 1994 – 23 de Fevereiro de 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) tem vindo a desenvolver e manter este pacote com a ajuda de alguns indivíduos dedicados. 30 de Outubro de 1996 – 30 de Março de 2001: Fabrizio Polacco <fpolacco@debian.org> manteve e melhorou este pacote para o projecto Debian, com a ajuda de toda a comunidade. 31 de Março de 2001 – hoje em dia: Colin Watson <cjwatson@debian.org> mantém e desenvolve o pacote man-db.